PointsConfig (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.standard.config, class: PointsConfig

Package org.apache.lucene.queryparser.flexible.standard.config

# Class PointsConfig

java.lang.Object
org.apache.lucene.queryparser.flexible.standard.config.PointsConfig

public class PointsConfig extends Object
This class holds the configuration used to parse numeric queries and create `PointValues` queries.

See Also:
  - `PointValues`
  - `NumberFormat`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PointsConfig(NumberFormat format, Class<? extends Number> type)`
  Constructs a `PointsConfig` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `NumberFormat`
  `getNumberFormat()`
  Returns the `NumberFormat` used to parse a `String` to `Number`
  `Class<? extends Number>`
  `getType()`
  Returns the numeric type used to index the numeric values
  `int`
  `hashCode()`
  `void`
  `setNumberFormat(NumberFormat format)`
  Sets the `NumberFormat` used to parse a `String` to `Number`
  `void`
  `setType(Class<? extends Number> type)`
  Sets the numeric type used to index the numeric values

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PointsConfig

    public PointsConfig(NumberFormat format, Class<? extends Number> type)
    Constructs a `PointsConfig` object.
    Parameters:
      `format` - the `NumberFormat` used to parse a `String` to `Number`
      `type` - the numeric type used to index the numeric values
    See Also:
      - `setNumberFormat(NumberFormat)`

- ## Method Details

  - ### getNumberFormat

    public NumberFormat getNumberFormat()
    Returns the `NumberFormat` used to parse a `String` to `Number`
    Returns:
      the `NumberFormat` used to parse a `String` to `Number`

  - ### getType

    public Class<? extends Number> getType()
    Returns the numeric type used to index the numeric values
    Returns:
      the numeric type used to index the numeric values

  - ### setType

    public void setType(Class<? extends Number> type)
    Sets the numeric type used to index the numeric values
    Parameters:
      `type` - the numeric type used to index the numeric values

  - ### setNumberFormat

    public void setNumberFormat(NumberFormat format)
    Sets the `NumberFormat` used to parse a `String` to `Number`
    Parameters:
      `format` - the `NumberFormat` used to parse a `String` to `Number`, must not be `null`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`